<?xml version="1.0"?>

<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="html"/>
	
<xsl:template match="/">
	<xsl:apply-templates select="project"/>
</xsl:template>

<xsl:template match="project">
	<xsl:apply-templates select="name"/>
	<xsl:apply-templates select="one-liner"/>
</xsl:template>

<xsl:template match="name">
	<H2>
	<A href="{text()}/index.html">
	<xsl:apply-templates/>
	</A>
	</H2>
</xsl:template>

<xsl:template match="one-liner">
	<P>
	<xsl:apply-templates/>
	</P>
</xsl:template>

<xsl:template match="ulink">
	<A href="{@url}">
	<xsl:apply-templates/>
	</A>
</xsl:template>

</xsl:stylesheet>
